Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

So I am following instructions on this blog post http://www.techlw.com/2012/08/install-amd-catalyst-128-drivers-in.html which is pretty detailed and works until the install log throws this at me:

Check if system has the tools required for installation.
Uninstalling any previously installed drivers.

Creating symlink /var/lib/dkms/fglrx/8.982/source ->
                 /usr/src/fglrx-8.982

DKMS: add completed.

Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area....
cd /var/lib/dkms/fglrx/8.982/build; sh make.sh --nohints --uname_r=3.5.0-18-generic --norootcheck.....(bad exit status: 1)
[Error] Kernel Module : Failed to build fglrx-8.982 with DKMS
[Error] Kernel Module : Removing fglrx-8.982 from DKMS

------------------------------
Deleting module version: 8.982
completely from the DKMS tree.
------------------------------
Done.
[Reboot] Kernel Module : update-initramfs

Any thoughts? Essentially gnome 3.6 is broken and because in 12.10 unity doesn't fall back, so unity doesn't work. When I first installed Ubuntu 12.10 it all worked, I saw pretty gnome 3 and pretty unity and then Ubuntu was like "I has updates!" and I was like "take those updates" then it was like "Ha! I broke your drivers" and ya.....end of story.

So how do I fix this? I have dual monitors and its mirrored with no other options available. Its very important that I fix this and fast.

So what should I do?

share|improve this question

closed as too localized by qbi, Mik, Eric Carvalho, Thomas W., Ringtail Jan 22 '13 at 5:42

This question is unlikely to help any future visitors; it is only relevant to a small geographic area, a specific moment in time, or an extraordinarily narrow situation that is not generally applicable to the worldwide audience of the internet. For help making this question more broadly applicable, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

    
It's hard to tell why some arbitrary howto from a blog post doesn't work. Perhaps you could solicit support from the howto's author in the comment section. Have you tried the recommended and tested way of installing the ATI driver? ...pparently, the 12.8 driver doesn't support xserver 1.13, found in Quantal. Perhaps you could try ATI 12.10 instead. –  mikewhatever Nov 8 '12 at 2:26
    
Is there walk through for this? Every where I look this walk through pops up. What the actual way? I've even tried installing from the package manager. –  SeekingAnswers Nov 8 '12 at 2:31
    
Not sure where you look, for me, that particular blog is not even on the first search page. Anyway, here is the ATI wiki, and an AskUbuntu answer. Needless to say, it's probably best to stick with the driver from the Ubuntu repositories. –  mikewhatever Nov 8 '12 at 2:52
    
what driver? I have never seen this driver –  SeekingAnswers Nov 8 '12 at 14:55
    
The one offered through the Additional Drivers utility. –  mikewhatever Nov 8 '12 at 15:26

1 Answer 1

Had this problem myself and this link worked for me.

ATI Catalyst driver fix

If you want dual screens and ATI on 12, use the proprietry catalyst driver NOT the Ubuntu one as it causes a ton of random issues...

P.S. this is the ONLY time i've ever advised on proprietry and I feel dirty for having to...

share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.